## javax.portlet
Annotation Type ProcessAction

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface ProcessAction

Annotation for marking a method for processing a specific action. The `GenericPortlet` tries to dispatch to methods annotated with the tag `@ProcessAction` for any received `processAction` call.

Since:
  2.0

Required Element Summary
`java.lang.String` `name` Name of the action.

Element Detail

### name

    public abstract java.lang.String name

  Name of the action. Must be set on the `ActionURL` as value of the parameter `javax.portlet.action`.

  Returns:
    action name

Copyright © 2010. All Rights Reserved.